summary refs log tree commit homepage
diff options
context:
space:
mode:
authorEric Wong <normalperson@yhbt.net>2010-11-19 08:02:45 +0800
committerEric Wong <normalperson@yhbt.net>2010-11-19 08:02:45 +0800
commit238c98ec4c353bb14671ab543c21baa068b7e3f2 (patch)
tree793afd11f3c23e06db3cff543203c4262511ae61
parent86d2a22ffdc4bf9f16e1870f9db9a2ff84760c7c (diff)
The Kgio 2.x API is less brain-damaged than the 1.3.x series
was, and should solve API-compatibility problems with
dalli 0.11.1.
-rwxr-xr-xscript/isolate_for_tests2
-rw-r--r--unicorn.gemspec2
2 files changed, 2 insertions, 2 deletions
diff --git a/script/isolate_for_tests b/script/isolate_for_tests
index 5cea47c..6104285 100755
--- a/script/isolate_for_tests
+++ b/script/isolate_for_tests
@@ -17,7 +17,7 @@ opts = {
 pid = fork do
   Isolate.now!(opts) do
     gem 'sqlite3-ruby', '1.2.5'
-    gem 'kgio', '1.3.1'
+    gem 'kgio', '2.0.0pre1'
     gem 'rack', '1.1.0'
   end
 end
diff --git a/unicorn.gemspec b/unicorn.gemspec
index fd8f0e6..b79d7d4 100644
--- a/unicorn.gemspec
+++ b/unicorn.gemspec
@@ -48,7 +48,7 @@ Gem::Specification.new do |s|
   # commented out.  Nevertheless, upgrading to Rails 2.3.4 or later is
   # *strongly* recommended for security reasons.
   s.add_dependency(%q<rack>)
-  s.add_dependency(%q<kgio>, '~> 1.3.1')
+  s.add_dependency(%q<kgio>, '~> 2.0.0')
 
   s.add_development_dependency('isolate', '~> 3.0.0')